Deliberately vulnerable scripts for Web Security training
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
public
README.md
Vagrantfile

README.md

Cyber Gym

Deliberately vulnerable PHP scripts for Web Security training

An array of vulnerable Web pages to test security tools or manual assessment.

Prerequisites

Setup

  1. Clone this repository
    • git clone https://github.com/AvalZ/cyber-gym.git or
    • git clone git@github.com:AvalZ/cyber-gym.git or
    • download the zip from here and unzip it in a local folder.
  2. cd cyber-gym/ (or cd cyber-gym-master if you downloaded the zip)
  3. vagrant up
  4. Browse http://192.168.33.10
  5. Create a table named 'accounts' or go to http://192.168.33.10/db/setup_db.php
  6. Done!

Useful links

ZenHackademy